import { serializeUserSearchParams } from '../common/serializeUser.js';
const getFetchUrl = (sdkKey, obfuscated) => `https://config-cdn.devcycle.com/config/v1/server/bootstrap/${obfuscated ? 'obfuscated/' : ''}${sdkKey}.json`;
export const fetchCDNConfig = async (sdkKey, obfuscated) => {
    return await fetch(getFetchUrl(sdkKey, obfuscated));
};
const getSDKAPIUrl = (sdkKey, obfuscated, user) => {
    const searchParams = new URLSearchParams();
    serializeUserSearchParams(user, searchParams);
    searchParams.set('sdkKey', sdkKey);
    if (obfuscated) {
        searchParams.set('obfuscated', '1');
    }
    searchParams.set('sdkPlatform', 'nextjs');
    searchParams.set('sse', '1');
    return `https://sdk-api.devcycle.com/v1/sdkConfig?${searchParams.toString()}`;
};
export const sdkConfigAPI = async (sdkKey, obfuscated, user) => {
    return await fetch(getSDKAPIUrl(sdkKey, obfuscated, user), {
        next: {
            revalidate: 60,
            tags: [sdkKey, user.user_id],
        },
    });
};
//# sourceMappingURL=requests.js.map